Skip to main content
GET
/
v0
/
boards
/
{boardId}
/
charts
/
{chartId}
Get chart
curl --request GET \
  --url https://api.formo.so/v0/boards/{boardId}/charts/{chartId} \
  --header 'Authorization: Bearer <token>'
{
  "isSuccess": true,
  "data": {
    "id": "<string>",
    "chart_type": "table",
    "title": "<string>",
    "query": "<string>",
    "description": "<string>",
    "project_id": "<string>",
    "board_id": "<string>",
    "x_axis": "<string>",
    "y_axis": [
      "<string>"
    ],
    "group_by": "<string>",
    "settings": {}
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Path Parameters

boardId
string
required
chartId
string
required

Response

200 - application/json

Chart details

isSuccess
boolean
data
object